local on_hyudoro_steal = {}

-- Hook format: function(player_t victim, player_t stealer)
rawset(_G, "HL_OnHyudoroSteal", function(hook)
	table.insert(on_hyudoro_steal, hook)
end)

-- Hyu detection code from hitfeed
addHook("ThinkFrame", function()
	for p in players.iterate
		if not p.mo then continue end

		-- hyudoro hack
		if p.kartstuff[k_stealingtimer] == 16 then
			for p2 in players.iterate -- let's find who we're stealing from
				if not p2.mo then continue end

				if (p2.kartstuff[k_stolentimer] == p.kartstuff[k_stealingtimer]) -- so LOCALLY it's equal
					or (p2.kartstuff[k_stolentimer] == (p.kartstuff[k_stealingtimer]+1)) then -- ...but in netgames it's +1??????
				
					for _, hook in ipairs(on_hyudoro_steal) do
						hook(p2, p)
					end
				end
			end
		end
	end
end)